--[[
Str：
92001-94000	马
94001-96000	佟
96001-98000	金


Scriptlist:
24001+


Flag:
DLC主旗标：44001


npcData:
701-800	马
801-900	佟 
901-1000	金
--]]

--时间段四	24403
--碧溪村

function dlc04_3()



local	n=flag.GetValue(44001)	--DLC主旗标

if	n==403	then


	--开始剧情 
	func_start(1184,2770,0,1)	
	--修改旗标 
	flag.SetValue(44001,404)	
	
	
	
	--转头
	for	i=1,20,1
		do 
		npc.SetHeadRot(i,0,0)
		end	
	for i=1,20,1
		do
		npc.Destroy(i)
		end			
	
	
	
	--npc建立
	--姜承 
	npc.Create(3,3,1135,2771)
	-- npc.SetPos(3,1135,2771)
	npc.SetAtPos(3,1226,2804)
	--厉岩 
	npc.Create(9,9,1170,2804)
	-- npc.SetPos(9,1170,2804)
	npc.SetAt(9,1,0)
	npc.SetAnim(9,101)
	--结萝 
	npc.Create(10,10,1170,2833)	
	-- npc.SetPos(10,1170,2833)	
	npc.SetAt(10,1,0)
	npc.SetAnim(10,101)
	--血手 
	npc.Create(36,12,1226,2804)
	-- npc.SetPos(12,1226,2804)
	npc.SetAt(12,-1,0)
	npc.SetVisible(12,1)
	--毒影 
	npc.Create(901,13,1230,2833)
	-- npc.SetPos(13,1230,2833)
	npc.SetAt(13,-1,0)
	-- npc.SetAnim(13,2)
	--魔教教众甲
	npc.Create(902,14,1276,2874)
	-- npc.SetPos(14,1276,2874)
	npc.SetAtPos(14,1135,2804)
	--魔教教众乙 
	npc.Create(903,15,1262,2890)
	-- npc.SetPos(15,1262,2890)
	npc.SetAtPos(15,1135,2804)	
	--魔教教众丙
	npc.Create(904,16,1284,2852)
	-- npc.SetPos(16,1284,2852)
	npc.SetAtPos(16,1135,2804)	
	--血手战斗 
	npc.SetVisible(18,0)
	--？？
	npc.Create(91,19,1,1)
	-- npc.SetPos(19,1,1)
	npc.SetVisible(19,0)


	
	
	
	
	



	
	--播放音乐 022
	global.PlayMusic(022,100,1)			
	
	
	--镜头1 
	-- 越过血手毒影面向厉岩结萝
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1275,84,2844,1184,60,2810)
	camera.ResetLerp(5000)		
	camera.ChangeCameraStatic(1265,75,2863,1182,57,2810)
	--淡入 
	effect.FadeIn(1,1)
	global.WaitForCameraLerp()

	-- 结萝恢复 
	npc.SetAnim(10,200)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96058,561,0,10,0,0)	--笑 --哟～还不赖嘛～

	-- 结萝笑 
	npc.SetAnim(10,211,2)
	global.Wait(1)

	ui.Dialog(96059,560,0,10,0,0)	--你的蛊术跟谁学的～不会是我吧～
	global.Wait(1)
	
	
	
	
	--镜头2 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1226,77,2832,1134,59,2796)
	camera.ResetLerp(14000)		
	camera.ChangeCameraStatic(1230,77,2836,1146,57,2786)
	global.Wait(1)
	-- 厉岩恢复  
	npc.SetAnim(9,200)
	global.Wait(1)

	ui.Dialog(96060,614,0,9,0,0)	--（那个人的招式……）
	global.Wait(0.5)

	-- 姜承走过来  
	npc.MoveTo(3,1180,2780,1)
	global.Wait(1)
	-- 厉岩转向姜承 
	npc.SetHeadRot(9,30,0,1,50)
	global.Wait(0.5)

	ui.Dialog(96061,622,0,9,0,0)	--看样子对方留了招，没下狠手。

	--音乐淡出 
	global.MusicFadeIn(2000,100,0)			
	
	-- 姜承转向血手   	
	npc.TurnToNpc(3,9,1)
	global.Wait(0.5)
	
	ui.Dialog(96062,132,2,3,0,0)	--……

	
	
	

	
	--镜头3 
	-- 特写血手毒影 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1179,65,2835,1270,68,2793)
	camera.ResetLerp(20000)		
	camera.ChangeCameraStatic(1191,65,2853,1260,68,2782)
	global.Wait(2)
	
	--对话 
	ui.Dialog(96063,613,0,12,0,0)	--阿萝。

	--播放音乐 
	global.PlayMusic(165,100,1)			
	
	-- 毒影转向血手 
	npc.TurnToNpc(13,12,1)
	npc.SetHeadRot(13,0,-15,1,50)
	global.Wait(0.5)

	ui.Dialog(96064,566,2,13,0,0)	--！
	global.Wait(1)
	
	-- 毒影 笑 
	-- npc.SetAnim(13,226,2)
	-- global.Wait(1)

	ui.Dialog(96065,567,2,13,0,0)	--笑 	--好久没听到这个称呼了啊……

	-- 血手转向毒影 
	npc.TurnToNpc(12,13,1)
	global.Wait(1)

	ui.Dialog(96066,611,0,12,0,0)	--这些年，你跟着我，可曾后悔？

	-- 毒影笑  
	npc.SetAnim(13,226,1)
	npc.SetAnim(13,200)


	
	
	--镜头4  
	-- 全镜面向结萝 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1267,78,2881,1193,56,2817)
	camera.ResetLerp(14000)			
	camera.ChangeCameraStatic(1251,78,2872,1177,53,2810)
	global.Wait(0.5)
	-- 毒影走向结萝几步 
	npc.SetHeadRot(13,0,0)
	npc.SetAnimSpeed(13,80)
	npc.SetSpeed(13,0.8)
	npc.MoveTo(13,1215,2833,1)
	npc.SetAnimSpeed(13,100)
	npc.SetSpeed(13,1)
	-- 众人看向毒影  	
	npc.SetHeadRot(9,0,0)
	npc.TurnToNpc(3,13)
	npc.TurnTo(12,-1,0)
	npc.TurnToNpc(9,13,1)

	ui.Dialog(96067,566,2,13,0,0)	--结萝，你那日去千峰岭当上门压寨夫人，可曾，后悔？
	ui.Dialog(96068,562,0,10,0,0)	--？
	global.Wait(0.5)
	
	--厉岩低头
	npc.SetHeadRot(9,25,20,1,50)
	global.Wait(0.5)
	
	ui.Dialog(96069,618,2,9,0,0)		--……
	global.Wait(0.5)
	ui.Dialog(96070,562,0,10,0,0)	--后悔？

	-- 结萝笑	
	npc.SetAnim(10,211,2)
	global.Wait(1)

	ui.Dialog(96071,561,0,10,0,0)	--我当然后悔啦～
	ui.Dialog(96072,560,0,10,0,0)	--我后悔没早点来中原，跟大哥错过这么多年呢～
	global.Wait(0.5)
	
	-- 厉岩看向结萝  
	npc.SetHeadRot(9,-35,0,1,65)
	global.Wait(0.5)
	
	ui.Dialog(96073,738,2,9,0,0)		--阿萝……
	global.Wait(0.5)

	
	--镜头6 
	-- 面向毒影  近镜 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(1172,59,2843,1268,72,2817)
	camera.ResetLerp(10000)	
	camera.ChangeCameraStatic(1185,63,2839,1281,75,2812)
	global.Wait(1)
	-- 毒影来回看向结萝厉岩
	npc.SetHeadRot(13,-15,0,1,15)
	global.Wait(2)
	npc.SetHeadRot(13,10,0,1,20)
	global.Wait(1)
	npc.SetHeadRot(13,-15,0,1,20)
	global.Wait(1.5)
	--淡出白
	effect.FadeOutWhite(1,0.5)
	global.Wait(3)
	


	--回忆 
	--切地图青木居夜
	map.ChangeNoScript(1,1097)
	player.SetPos(3100,2288)
	--回忆效果 
	effect.SetFilterTexture(7010,0)
	--特效萤火虫   
	-- 萤火虫特效*****************************************
	global.CreateSE(4421,2977,1923,2194)
	global.CreateSE(4421,2805,1951,2167)		
	
	
	
	--npc建立 
	--厉岩 
	npc.Create(9,9,2810,2183)
	--结萝
	npc.Create(10,10,2847,2161)
	npc.SetHeadRot(10,0,-10)
	npc.SetAtPos(10,2793,2177)	
	
	-- 面向血手 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(2956,1974,2169,2858,1957,2181)
	camera.ResetLerp(4000)		
	camera.ChangeCameraStatic(3011,1965,2193,2913,1944,2195)
	--淡入 
	effect.FadeInWhite(1,1)
	--动作 
	-- 血手走开几步 
	npc.MoveTo(9,2970,2200)
	global.Wait(1)
	-- 毒影看向血手方向 
	npc.SetHeadRot(10,0,0)
	npc.TurnToPos(10,2970,2200)
	global.WaitForNpcPos(9,2970,2200)
	global.Wait(1)

	ui.Dialog(82479,614,0,9,0,0)		--……
	global.Wait(1)

	-- 血手转向毒影 
	npc.TurnToNpc(9,10,1)
	global.Wait(0.5)

	ui.Dialog(96130,622,0,9,0,0)--结萝，你真的一定要跟我走吗？想清楚了。

	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2898,1954,2158,2799,1947,2171)
	-- 毒影点头 
	wt(0.5)
	npc.SetHeadRot(10,0,20,1,40)
	wt(0.2)
	npc.SetHeadRot(10,0,0,1,50)
	global.Wait(0.5)

	ui.Dialog(96131,562,2,10,0,0)--不用想啊，一定要的！
	
	

	--镜头6 
	--npc位置 
	npc.SetPos(10,2890,2180)
	npc.SetAtPos(10,2970,2180)
	-- 面向毒影背 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(2844,1966,2135,2919,1950,2199)
	camera.ResetLerp(18000)		
	camera.ChangeCameraStatic(2858,1963,2146,2935,1947,2207)
	-- 血手走过来  
	npc.MoveTo(9,2918,2184,1)
	npc.TurnToNpc(9,10,1)
	global.Wait(0.5)

	ui.Dialog(96132,622,0,9,0,0)		--好，那你就跟我走。
	npc.SetAnim(9,207,2)
	wt(1)
	ui.Dialog(96133,622,0,9,0,0)--……我不知道怎么待女孩子好，不过，我会试着去做。
	wt(1.5)
	npc.SetAnim(10,209)
	wt(1)
	ui.Dialog(96134,563,2,10,0,0)		--脸红 --嗯。
	global.Wait(1.5)
	--特效 
	-- 萤火虫盘旋  **********************************************
	npc.CreateSE(10,4422)
	global.Wait(1)
	npc.SetAtPos(10,2918,2184)
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(2938,1966,2151,2858,1946,2207)
	camera.ResetLerp(15000)			
	camera.ChangeCameraStatic(2952,1969,2147,2867,1948,2196)
	global.Wait(2)
	-- 毒影伸手  
	npc.SetAnim(10,226,2)
	global.Wait(1)

	global.PlaySound(1532,30)-- 萤火环绕特效夸大
	
	global.Wait(2)
	-- 萤火虫飞走*************************************************
	global.Wait(1)
	npc.SetAnim(10,225)
	ui.Dialog(96135,561,2,10,0,0)		--嘻嘻～
	global.Wait(1)
	npc.SetAnim(10,200)
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(2868,1959,2132,2925,1951,2214)
	camera.ResetLerp(10000)			
	camera.ChangeCameraStatic(2854,1952,2112,2918,1951,2189)
	global.Wait(1)
	-- 血手抓萤火虫  
	npc.SetAnim(9,226,1)
	--萤火虫特效3
	npc.CreateSE(9,4423)
	npc.SetAnim(9,227)
	global.Wait(1)
	ui.Dialog(96136,622,0,9,0,0)--给。
	global.Wait(1)

	-- 毒影伸手  
	npc.SetAnim(10,227,2)
	global.Wait(4.5)
	-- 萤火虫飞走  **********************************	
	npc.StopSE(9)
	
	global.PlaySound(1462,40)-- 萤火飞走特效夸大
	
	global.CreateSE(4424,2904,1955,2182)
	global.Wait(0.5)
	npc.SetHeadRot(9,0,-15,0,2)
	npc.SetHeadRot(10,0,-15,0,2)
	wt(2.5)
	npc.TurnTo(9,2,1,1)
	npc.TurnTo(10,1,1,1)
	--拉镜头到天空 月亮 
	camera.ResetLerp(20000)		
	camera.ChangeCameraStatic(2789,1954,2058,2861,1962,2127)
	global.Wait(3)	

	ui.Dialog(96137,560,2,10,0,0)		--奇怪，总觉得中原的月亮，都没有家乡的来得漂亮。
	ui.Dialog(96138,560,2,10,0,0)--其实我们这还有好多好看的风景，你都没看见过呢，真可惜。
	wt(0.8)
	-- 血手转向毒影 
	npc.SetHeadRot(9,0,0)
	npc.TurnToNpc(9,10,1)
	ui.Dialog(96139,614,0,9,0,0)		--将来有空的时候，你想看，我陪你来。	
	global.Wait(1)
	
	--淡出 
	effect.FadeOutWhite(1,1)	
	global.Wait(1)
	
	
	--关闭回忆模式
	effect.SetFilterTexture(0,0)
	
	
	
	--切地图
	-- 碧溪村5f
	map.Change(1,4006)
	player.SetPos(1184,2770)
	

	
	
	
	--npc建立
	--姜承 
	npc.Create(3,3,1161,2783)
	npc.SetAt(3,1,1)
	--厉岩 
	npc.Create(9,9,1170,2804)
	npc.SetAtPos(9,1239,2828)
	--结萝 
	npc.Create(10,10,1170,2833)	
	npc.SetAtPos(10,1215,2833)
	--姜世离 
	npc.Create(30,11,1352,2771)
	npc.SetVisible(11,0)
	--血手 
	npc.Create(36,12,1226,2804)
	npc.SetAtPos(12,1215,2833)
	--毒影 
	npc.Create(901,13,1215,2833)
	npc.SetAtPos(13,1226,2804)
	npc.SetHeadRot(13,0,-10)
	--魔教教众甲
	npc.Create(902,14,1276,2874)
	npc.SetAtPos(14,1135,2804)
	npc.SetVisible(14,0)
	--魔教教众乙 
	npc.Create(903,15,1262,2890)
	npc.SetAtPos(15,1135,2804)	
	npc.SetVisible(15,0)
	--魔教教众丙
	npc.Create(904,16,1284,2852)
	npc.SetAtPos(16,1135,2804)	
	npc.SetVisible(16,0)
	--？？
	npc.Create(91,19,1,1)
	
	
	
	
	
	
	
	
	
	
	
	--镜头7
	-- 越过血手 面向毒影 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1213,75,2780,1245,55,2873)
	camera.ResetLerp(18000)		
	camera.ChangeCameraStatic(1209,76,2777,1242,50,2868)
	--淡入 
	effect.FadeInWhite(1,0.5)
	global.Wait(3)
	--对话 
	ui.Dialog(96074,566,2,13,0,0)	--过去的结萝，现在的毒影，都是想一生追随大哥左右的。	
	global.Wait(0.5)
	ui.Dialog(96075,566,2,13,0,0)	--不论在不在家乡，不管有没有月亮，只要跟着大哥，随时随处都是花前月下。	
	global.Wait(1)
	ui.Dialog(96076,566,2,13,0,0)	--倒是大哥，会不会觉得阿萝不像当年那么天真讨喜了呢？	
	global.Wait(0.5)
	
	
	
	--镜头8 
	-- 越过毒影 面向血手 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1180,71,2845,1264,58,2791)
	camera.ResetLerp(10000)			
	camera.ChangeCameraStatic(1193,67,2841,1272,63,2779)
	--悄悄转头 
	npc.SetHeadRot(13,0,-3)
	
	global.Wait(0.5)
	--血手低头 
	npc.SetHeadRot(12,0,20,1,40)
	global.Wait(0.5)
	ui.Dialog(96077,611,0,12,0,0)		--……
	global.Wait(1)
	--血手抬头 
	npc.SetHeadRot(12,0,0,1,40)
	global.Wait(0.5)
	
	ui.Dialog(96078,611,0,12,0,0)	--没有。以前的结萝，现在的毒影，都很好。	
	global.Wait(0.5)
	
	--毒影笑 
	npc.SetAnim(13,226,2)
	global.Wait(1)
	
	ui.Dialog(96079,567,2,13,0,0)		--呵呵～
	global.Wait(0.5)

	
	
	
	--镜头9 
	-- 面向姜承3人 全镜
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1194,74,2803,1111,64,2749)
	--隐藏厉岩 
	npc.SetVisible(9,0)
	global.Wait(0.5)
	-- 姜承随便做个动作 
	npc.SetAnim(3,213,2)
	global.Wait(1)
	--对话 
	ui.Dialog(96080,131,0,3,0,0)		--不知众位是何来路，不过只要承诺不再打折剑山庄的主意，就此作罢。
	ui.Dialog(96081,100,0,19,0,0)		--哈哈哈哈哈——
	
	--音乐淡出 
	global.MusicFadeIn(2000,100,0)		
	
	global.Wait(0.5)
	ui.Dialog(96082,100,0,19,0,0)		--就此作罢？
	
	-- camera.ResetLerp(3500)				
	-- camera.ChangeCameraStatic(1224,76,2788,1126,60,2794)	
	
	-- global.Wait(1)	
	
	-- 姜承三人转向村子方向  
	npc.TurnToNpc(9,11)
	npc.TurnToNpc(10,11)
	npc.TurnToNpc(3,11,1)	
	global.Wait(0.5)

	

	
	
	
	
	
	
	
	--镜头10
	--面向毒影血手 
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(1271,79,2796,1176,57,2820)
	camera.ResetLerp(5000)				
	camera.ChangeCameraStatic(1300,85,2789,1205,64,2813)
	--厉岩恢复 
	npc.SetVisible(9,1)
	-- global.Wait(0.5)
	-- 毒影、血手、教众三人转向姜世离
	npc.TurnToNpc(12,11)
	npc.TurnToNpc(13,11,1)
	npc.TurnToNpc(14,11)
	npc.TurnToNpc(15,11)
	npc.TurnToNpc(16,11)
	
	ui.Dialog(96083,566,0,13,0,0)	--主上！	
	ui.Dialog(96084,611,0,12,0,0)	--主上！	
	-- ui.Dialog(96083,100,0,14,0,0)	--主上！
	-- ui.Dialog(96084,566,0,13,0,0)	--主上！	
	global.Wait(0.5)
	
	--姜世离走过来 
	npc.SetVisible(11,1)
	npc.SetAnimSpeed(11,60)
	npc.SetSpeed(11,0.6)
	npc.MoveTo(11,1226,2776)
	
	
	npc.SetVisible(14,1)
	npc.SetVisible(15,1)
	npc.SetVisible(16,1)
	
	
	
	
	--播放音乐 gs12
	global.PlayMusic(162,100,1)			
	
	
	
	--镜头 
	--特写姜世离 脚 
	camera.ResetLerp(0)
	camera.ChangeCameraBindNpc(11,-30,-10,-20)
	camera.SetBindNpcOffset(0,-30,5)
	global.Wait(4)
	--转身  
	-- local	x,y,z=npc.GetPos(11)
	-- npc.SetAtPos(3,x,z)
	-- npc.SetAtPos(9,x,z)
	-- npc.SetAtPos(10,x,z)
	npc.SetAtPos(3,1226,2776)
	npc.SetAtPos(9,1226,2776)
	npc.SetAtPos(10,1226,2776)
	npc.SetHeadRotTo(3,11)
	npc.SetHeadRotTo(9,11)
	npc.SetHeadRotTo(10,11)
	-- npc.SetAtPos(12,x,z)
	-- npc.SetAtPos(13,x,z)
	-- npc.SetAtPos(14,x,z)
	-- npc.SetAtPos(15,x,z)
	-- npc.SetAtPos(16,x,z)
	-- npc.TurnToNpc(12,11)
	-- npc.TurnToNpc(13,11)
	npc.TurnToPos(12,1226,2776)
	npc.TurnToPos(13,1226,2776)	
	npc.TurnToNpc(14,11)
	npc.TurnToNpc(15,11)
	npc.TurnToNpc(16,11)
	--拉上来 
	camera.ResetLerp(0)	
	camera.ChangeCameraStaticToNpc(1296,97,2720,11)
	global.WaitForNpcPos(11,1226,2776)
	npc.SetAnimSpeed(11,100)
	npc.SetSpeed(11,1)
	--众人转身  
	npc.SetHeadRotTo(3,11,0,50)
	npc.SetHeadRotTo(9,11,0,50)
	npc.SetHeadRotTo(10,11,0,50)
	-- npc.TurnToNpc(12,11)
	-- npc.TurnToNpc(13,11)
	npc.TurnToNpc(14,11)
	npc.TurnToNpc(15,11)
	npc.TurnToNpc(16,11)
	global.Wait(1)
	--全身
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1221,59,2742,1235,48,2841)
	camera.ResetLerp(4000)			
	camera.ChangeCameraStatic(1200,70,2768,1296,88,2790)
	global.WaitForCameraLerp()
	global.Wait(1)
	
	
	
	
	
	
	--镜头11 
	-- 面向姜承  
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(1218,77,2773,1122,59,2794)
	camera.ResetLerp(8000)		
	camera.ChangeCameraStatic(1227,78,2773,1133,59,2802)
	-- 悄悄把教众三人、毒影血手挪到姜世离那边
	npc.SetPos(14,1286,2808)
	npc.SetPos(15,1285,2787)
	npc.SetPos(16,1295,2827)
	npc.SetAt(14,-1,0)
	npc.SetAt(15,-1,0)
	npc.SetAt(16,-1,0)
	npc.SetAt(12,-1,0)
	npc.SetAtPos(13,1182,2781)
	npc.SetHeadRotTo(12,3)
	-- npc.SetHeadRotTo(13,3)
	npc.SetAtPos(11,1182,2781)
	-- 姜承走上前 
	npc.MoveTo(3,1182,2781,1)
	npc.SetAnim(3,219)
	global.Wait(0.5) 
	-- 姜承稍转头
	npc.SetHeadRot(3,-40,10,1,50)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96085,128,2,3,0,0)	--此人非同寻常，你们不要轻举妄动。我去看他是何来意。	

	--厉岩转头 
	npc.SetHeadRot(9,20,0,1,50)
	global.Wait(0.5)

	ui.Dialog(96086,618,0,9,0,0)	--这人不简单，小心。	

	-- 姜承点头  
	npc.SetHeadRot(3,-40,35,1,50)
	global.Wait(0.2)
	npc.SetHeadRot(3,-40,10,1,60)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96087,128,2,3,0,0)		--嗯。
	global.Wait(0.5)
	
	-- 姜承看向姜世离 
	npc.SetHeadRotTo(3,11,1,50)
	-- global.Wait(0.5)
	npc.SetAnim(3,200)
	npc.SetHeadRotTo(9,11,0,50)
	global.Wait(0.5)
	npc.SetAnim(3,217,2)
	global.Wait(1)
	
	ui.Dialog(96088,126,2,3,0,0)	--许是误会一场，只要众位承诺，不再打折剑山庄的主意，我们井水不犯河水。	
	global.Wait(0.5)
	
	
	
	--镜头12 
	-- 越过姜承面向姜世离  
	-- camera.ResetLerp(0)		
	-- camera.ChangeCameraStatic(1165,72,2805,1239,69,2737)
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1184,70,2795,1265,66,2736)		
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(1191,69,2789,1275,70,2735)
	global.Wait(1)
	
	ui.Dialog(96089,101,0,11,0,0)	--你与折剑山庄是何关系？	
	global.Wait(0.5)
	
	
	
	
	-- 面向姜承 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1217,70,2791,1124,67,2753)	
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(1218,70,2786,1121,68,2763)
	global.Wait(0.5)
	-- 姜承失落地头  
	npc.SetAnimSpeed(3,50)
	npc.SetAnim(3,209)
	npc.SetAnimSpeed(3,100)
	global.Wait(2)

	ui.Dialog(96090,141,2,3,0,0)		--犹豫	--……
	global.Wait(1)
	ui.Dialog(96091,141,2,3,0,0)	--如今，并无关系。	
	global.Wait(0.5)
	
	
	--面向姜世离
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1191,70,2792,1276,75,2741)
	camera.ResetLerp(10000)			
	camera.ChangeCameraStatic(1191,70,2792,1276,82,2742)
	global.Wait(0.5)	
	npc.SetAnimSpeed(11,30)
	npc.SetAnim(11,221)
	npc.SetAnimSpeed(11,100)
	global.Wait(0.5)
	
	ui.Dialog(96092,101,0,11,0,0)		--讥讽	--哼！那你与折剑山庄二小姐又是何关系？
	--等待几秒 
	global.Wait(0.5)
	
	
	
	-- 面向姜承 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1213,72,2788,1118,72,2759)
	camera.ResetLerp(10000)			
	camera.ChangeCameraStatic(1213,72,2788,1118,62,2760)	
	global.Wait(2)	
	ui.Dialog(96093,143,2,3,0,0)		--……也无，关系。	
	global.Wait(0.5)
	
	
	
	
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1202,65,2841,1199,70,2741)
	camera.ResetLerp(10000)			
	camera.ChangeCameraStatic(1202,65,2831,1202,69,2731)
	--隐藏 血手
	npc.SetVisible(12,0)
	global.Wait(0.5)		
	--姜世离恢复 
	npc.SetAnimSpeed(11,50)
	npc.SetAnim(11,200)
	npc.SetAnimSpeed(11,100)
	global.Wait(0.5)
	
	ui.Dialog(96094,104,2,11,0,0)		--冷笑	--哦？
	global.Wait(0.5)
	
	-- 姜承恢复  
	npc.SetAnim(3,200)
	global.Wait(0.5)

	ui.Dialog(96095,135,0,3,0,0)	--但我绝不会让任何人伤害折剑山庄和二小姐。	


	--镜头13 
	-- 面向姜世离 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1190,70,2798,1261,73,2728)
	--恢复 血手
	npc.SetVisible(12,1)	
	global.Wait(0.5)

	-- 姜世离指前方 
	npc.SetAnim(11,212,2)
	global.Wait(0.7)
	--对话  
	ui.Dialog(96096,104,0,11,0,0)		--冷笑	--你？凭什么？
	global.Wait(1)
	
	
	--镜头14 
	-- 面向姜承 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1217,70,2791,1124,67,2753)
	global.Wait(1)

	-- 姜承备战 
	npc_weapon(3,3)
	npc.SetAnim(3,101)
	global.Wait(0.5)
	
	ui.Dialog(96097,138,2,3,0,0)		--坚定	--就凭我这条命。
	global.Wait(0.5)
	
	
	
	
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1172,80,2807,1236,57,2733)

	--隐藏厉岩 
	npc.SetVisible(9,0)
	global.Wait(0.5)
	
	ui.Dialog(96098,108,2,11,0,0)	--……	
	global.Wait(1)
	
	npc.SetAnim(11,223,2)
	global.Wait(1)
	
	ui.Dialog(96099,106,2,11,0,0)	--真是天真……		
	global.Wait(1)

	

	-- 姜世离挥拳
	-- 姜世离备战 	
	npc.SetAnim(11,303)
	global.Wait(1)
	
	camera.ResetLerp(1000)			
	camera.ChangeCameraStatic(1149,92,2837,1211,58,2765)	
	
	global.WaitForNpcAnim(11,303)
	npc.SetAnim(11,2)
	global.Wait(1)

	ui.Dialog(96100,103,2,11,0,0)	--发狠	--想要保护折剑山庄，就拿出你的决心和实力来！	
	

	
	
	
	
	--清理npc 恢复转头 
	-- effect.FadeOut(1,1)
	-- global.Wait(1)	
	
	--恢复厉岩 
	-- npc.SetVisible(9,1)
	--姜承卸武器 
	-- npc_weapon(3,0)
	
	-- for	i=1,10,1
		-- do 
		-- npc.SetHeadRot(i,0,0)
		-- end
	
	-- global.Wait(0.5)
	
	-- for i=1,20,1
		-- do
		-- npc.Destroy(i)
		-- end	



		
	--换队员 姜承
	--姜承入队
	player.Add(p_id(3),0,1)		
	--结萝厉岩离队
	player.Remove(p_id(9))				
	player.Remove(p_id(10))		
		
		
	--开始战斗  姜世离
	player.Control(1)
	global.SetWideScreen(0)		
	battle.Begin(4103,723)				
	-- func_end(1184,2770,1,1)		


end	
	




end